package edu.odu.cs.codeAnnotation;

import static org.junit.Assert.assertEquals;

import org.junit.Test;

public class TestTeXSubsitutions {
    


    @Test
    public void testDots() throws Exception {
    	assertEquals("abc<:\\smvdots:>def", new Code2TeXSimple().process("abc/*...*/def"));
    	assertEquals("abc<:\\smvdots:>def", new Code2TeXSimple().process("abc/**...*/def"));
    	assertEquals("abc<:\\smvdots:>def", new Code2TeXSimple().process("abc//...def"));
    }

    @Test
    public void testCallOuts() throws Exception {
    	assertEquals("abc<:\\conum{1}:>def", new Code2TeXSimple().process("abc/*co1*/def"));
    	assertEquals("abc<:\\conum{2}:>def", new Code2TeXSimple().process("abc/**co2*/def"));
    	assertEquals("abc<:\\conum{3}:>def", new Code2TeXSimple().process("abc/*co3*/def"));
    	assertEquals("abc<:\\conum{9}:>def", new Code2TeXSimple().process("abc/*co9*/def"));
    }

    @Test
    public void singleLineHighlight() throws Exception {
    	assertEquals("abc<+1>def<-1>ghi", new Code2TeXSimple().process("abc/*+*/def/*-*/ghi"));
    	assertEquals("abc<+1>def<-1>ghi", new Code2TeXSimple().process("abc/*+1*/def/*-1*/ghi"));
    	assertEquals("abc<+2>def<-2>ghi", new Code2TeXSimple().process("abc/*+2*/def/*-2*/ghi"));
    	assertEquals("abc<+3>def<-3>ghi", new Code2TeXSimple().process("abc/*+3*/def/*-3*/ghi"));
    }

    @Test
    public void multiLineHighlight() throws Exception {
    	assertEquals("abc<+1>d<-1>\n<+1>ef<-1>ghi", new Code2TeXSimple().process("abc/*+*/d\nef/*-*/ghi"));
    	assertEquals("abc<+1>d<-1>\n<+1>e<-1>\n<+1>f<-1>ghi", new Code2TeXSimple().process("abc/*+1*/d\ne\nf/*-1*/ghi"));
    	assertEquals("abc<+2>def<-2>\n<+2><-2>ghi", new Code2TeXSimple().process("abc/*+2*/def\n/*-2*/ghi"));
    	assertEquals("abc<+3><-3>\n<+3>def<-3>ghi", new Code2TeXSimple().process("abc/*+3*/\ndef/*-3*/ghi"));
    }
    
}
